commit:     632baf81cb2de4a764a2b24367219bba3c19a161
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 22 23:13:51 2021 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Mon Mar 22 23:27:21 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=632baf81

media-video/pipewire: bump to v0.3.24

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 media-video/pipewire/Manifest               |   1 +
 media-video/pipewire/pipewire-0.3.24.ebuild | 128 ++++++++++++++++++++++++++++
 2 files changed, 129 insertions(+)

diff --git a/media-video/pipewire/Manifest b/media-video/pipewire/Manifest
index 62ef3db5d15..5a7bf23034c 100644
--- a/media-video/pipewire/Manifest
+++ b/media-video/pipewire/Manifest
@@ -1,2 +1,3 @@
 DIST pipewire-0.3.18.tar.gz 1277055 BLAKE2B 
4a18bd668afaf144d6e83590293a744b6d2c2a7d8e9fc6ab581f22d294fac5a4841098875f8569f36b794c083e4ec9f0b7d4e29a10dc79286a4843996f7fb64e
 SHA512 
933b15908e30c389555dd9f82f87c2e571b4cb078bfbe5ed1858440166093cdee2b1c15da50bc5ab36087b62e216786b95c2aad9403e5047ae33e4fe8a6f4cc5
 DIST pipewire-0.3.22.tar.gz 1263844 BLAKE2B 
3fb90c0b1c17ed108e8c390873f5c4527e1ff9241d1c5964ad5b7c01fbfefda901ef1228f178cf3c9899e6e8e75969a470f8fba63473ff203cba612c6c0553ca
 SHA512 
a6587e0afd5c90be1733ecf62c6fc68e735ab3b84f2cbbf844bbe1be93e7a23dee07b041ed6b273cab6ab207d2388ae6f2027d0380928555a0155a7cc9ca4a7e
+DIST pipewire-0.3.24.tar.gz 1333048 BLAKE2B 
3146084e3028ed7bf27d483666e07d76c45988a911bba70bd31656ed75847fceb5c306a95bc3515cae9208f9b3cd9e9aaab56ee1de154a7520f669887e77fc6b
 SHA512 
be1fd3b15aae4fc276dd7e4be385cd58e6e9626d6e0a42b7bc3eb46ba324759c05320547aa857510ecf24b1628b76555222d342350d6406ad4d7b536cb3db497

diff --git a/media-video/pipewire/pipewire-0.3.24.ebuild 
b/media-video/pipewire/pipewire-0.3.24.ebuild
new file mode 100644
index 00000000000..77f2f8a90cb
--- /dev/null
+++ b/media-video/pipewire/pipewire-0.3.24.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit meson
+
+if [[ ${PV} == 9999 ]]; then
+       EGIT_REPO_URI="https://github.com/PipeWire/pipewire.git";
+       EGIT_BRANCH="work"
+       inherit git-r3
+else
+       SRC_URI="https://github.com/PipeWire/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+fi
+
+DESCRIPTION="Multimedia processing graphs"
+HOMEPAGE="https://pipewire.org/";
+
+LICENSE="LGPL-2.1+"
+SLOT="0/0.3"
+IUSE="bluetooth debug doc ffmpeg gstreamer jack sdl sndfile systemd test 
vulkan X"
+
+BDEPEND="
+       app-doc/xmltoman
+       doc? (
+               app-doc/doxygen
+               media-gfx/graphviz
+       )
+"
+RDEPEND="
+       >=media-libs/alsa-lib-1.1.7
+       sys-apps/dbus
+       virtual/libudev
+       bluetooth? (
+               media-libs/sbc
+               net-wireless/bluez:=
+       )
+       ffmpeg? ( media-video/ffmpeg:= )
+       gstreamer? (
+               >=dev-libs/glib-2.32.0:2
+               >=media-libs/gstreamer-1.10.0:1.0
+               media-libs/gst-plugins-base:1.0
+       )
+       jack? ( >=media-sound/jack2-1.9.10:2 )
+       sdl? ( media-libs/libsdl2 )
+       sndfile? ( >=media-libs/libsndfile-1.0.20 )
+       systemd? ( sys-apps/systemd )
+       vulkan? ( media-libs/vulkan-loader )
+       X? ( x11-libs/libX11 )
+"
+DEPEND="${RDEPEND}
+       vulkan? ( dev-util/vulkan-headers )
+"
+
+DOCS=( {README,INSTALL}.md NEWS )
+
+RESTRICT="!test? ( test )"
+
+src_prepare() {
+       spa_use() {
+               if ! in_iuse ${1} || ! use ${1}; then
+                       sed -e 
"/^add-spa-lib.*${1}/s/^/#${2-$1}-disabled-by-USE-no-${1}\:/" \
+                               -e 
"/^load-module.*${1}/s/^/#${2-$1}-disabled-by-USE-no-${1}\:/" \
+                               -i src/daemon/pipewire.conf.in || die
+               fi
+       }
+
+       default
+       spa_use libcamera
+       spa_use rtkit
+       spa_use bluetooth bluez5
+       spa_use jack
+       spa_use vulkan
+}
+
+src_configure() {
+       local emesonargs=(
+               -Dexamples=enabled # contains required pipewire-media-session
+               -Dman=enabled
+               -Dspa-plugins=enabled
+               --buildtype=$(usex debug debugoptimized plain)
+               # alsa plugin and jack emulation
+               -Dpipewire-alsa=enabled
+               $(meson_feature jack pipewire-jack)
+               # spa-plugins
+               # we install alsa support unconditionally
+               $(meson_feature bluetooth bluez5)
+               $(meson_feature ffmpeg)
+               $(meson_feature jack)
+               $(meson_feature vulkan)
+               # libcamera is not packaged
+               # misc
+               $(meson_feature doc docs)
+               $(meson_feature gstreamer)
+               $(meson_feature gstreamer gstreamer-device-provider)
+               $(meson_feature sdl sdl2)
+               $(meson_feature sndfile)
+               $(meson_feature systemd)
+               $(meson_feature test test)
+               $(meson_feature test tests)
+       )
+       meson_src_configure
+}
+
+src_install() {
+       meson_src_install
+
+       dosym ../../../usr/share/alsa/alsa.conf.d/50-pipewire.conf 
/etc/alsa/conf.d/50-pipewire.conf
+
+#      # TODO: this breaks alsa users
+#      if use alsa; then
+#              dosym 
../../../usr/share/alsa/alsa.conf.d/99-pipewire-default.conf 
/etc/alsa/conf.d/99-pipewire-default.conf
+#      fi
+}
+
+pkg_postinst() {
+       elog "Package has optional sys-auth/rtkit RUNTIME support that may be 
disabled"
+       elog "by setting DISABLE_RTKIT env var."
+       elog "To enable rtkit, uncomment the load-module line in 
/etc/pipewire/pipewire.conf"
+       elog
+       if use jack; then
+               elog "Please note that even though the libraries for JACK 
emulation have"
+               elog "been installed, this ebuild is not yet wired up to 
replace a JACK server."
+               elog
+       fi
+       elog "Read INSTALL.md for information about ALSA plugin or 
JACK/PulseAudio emulation."
+}

Reply via email to